/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package recipes;

import java.util.Scanner;

/**
 *
 * @author kocsisg
 */
public class Recipes {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        //RecipeBook r1 = new DummyRecipeBook();
        RecipeBook r1 = new SuperRecipeBook();
        r1.addRecipe(new Dish("Fish and chips", 30));
        r1.addRecipe(new Dish("Ham and eggs", 15));

        Dish d3 = new Dish("Bread and butter", 10);
        d3.setHowToCook("Take a bread and grease it with butter");
        d3.addIngredient("bread");
        d3.addIngredient("butter");
        r1.addRecipe(d3);

        r1.printAllRecipes();

        r1.deleteRecipe("Ham and eggs");
        System.out.println("After deleting...");
        r1.printAllRecipes();

        Dish userDish = new Dish();
        Scanner sc = new Scanner(System.in);

        System.out.println("Name of the new dish: ");
        String name = sc.nextLine();
        userDish.setName(name);

        System.out.println("Time to prepare: ");
        int prepTime = sc.nextInt();
        userDish.setTime(prepTime);

        System.out.println("Ingredients: ");
        String newIngredient;
        for (int i = 0; i < 3; i++) {
            newIngredient = sc.next();
            userDish.addIngredient(newIngredient);
        }

        System.out.println("How to cook?");
        sc.skip("\n");
        String htc = sc.nextLine();

        userDish.setHowToCook(htc);

        sc.close();
        r1.addRecipe(userDish);

        System.out.println("After adding the user's dish");
        r1.printAllRecipes();
    }
}//Main class
